=== html/CMakeLists.txt ===
# CMake build for libtiff
#
# Copyright © 2015 Open Microscopy Environment / University of Dundee
# Written by Roger Leigh <rleigh@codelibre.net>
#
# Permission to use, copy, modify, distribute, and sell this software and
# its documentation for any purpose is hereby granted without fee, provided
# that (i) the above copyright notices and this permission notice appear in
# all copies of the software and related documentation, and (ii) the names of
# Sam Leffler and Silicon Graphics may not be used in any advertising or
# publicity relating to the software without the specific, prior written
# permission of Sam Leffler and Silicon Graphics.
#
# THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND,
# EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY
# WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
#
# IN NO EVENT SHALL SAM LEFFLER OR SILICON GRAPHICS BE LIABLE FOR
# ANY SPECIAL, INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND,
# OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
# WHETHER OR NOT ADVISED OF THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF
# LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE
# OF THIS SOFTWARE.

set(docfiles
  addingtags.html
  bugs.html
  build.html
  contrib.html
  document.html
  images.html
  index.html
  internals.html
  intro.html
  libtiff.html
  misc.html
  support.html
  TIFFTechNote2.html
  tools.html
  v3.4beta007.html
  v3.4beta016.html
  v3.4beta018.html
  v3.4beta024.html
  v3.4beta028.html
  v3.4beta029.html
  v3.4beta031.html
  v3.4beta032.html
  v3.4beta033.html
  v3.4beta034.html
  v3.4beta035.html
  v3.4beta036.html
  v3.5.1.html
  v3.5.2.html
  v3.5.3.html
  v3.5.4.html
  v3.5.5.html
  v3.5.6-beta.html
  v3.5.7.html
  v3.6.0.html
  v3.6.1.html
  v3.7.0alpha.html
  v3.7.0beta.html
  v3.7.0beta2.html
  v3.7.0.html
  v3.7.1.html
  v3.7.2.html
  v3.7.3.html
  v3.7.4.html
  v3.8.0.html
  v3.8.1.html
  v3.8.2.html
  v3.9.0beta.html
  v3.9.1.html
  v3.9.2.html
  v4.0.0.html
  v4.0.1.html
  v4.0.2.html
  v4.0.3.html
  v4.0.4beta.html)

install(FILES ${docfiles}
        DESTINATION "${LIBTIFF_DOCDIR}/html")

add_subdirectory(images)
add_subdirectory(man)

extra_dist(${docfiles})
