=== debian/changelog ===
tiff (4.2.0-1+deb11u7) bullseye-security; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * CVE-2024-13978: Affected by this vulnerability is the function
    t2p_read_tiff_init of the file tools/tiff2pdf.c of the component fax2ps.
    The manipulation leads to null pointer dereference. The attack needs to be
    approached locally. The complexity of an attack is rather high. The
    exploitation appears to be difficult.
  * CVE-2025-9900: This vulnerability is a "write-what-where" condition, triggered
    when the library processes a specially crafted TIFF image file. By providing
    an abnormally large image height value in the file's metadata, an attacker
    can trick the library into writing attacker-controlled color data to an
    arbitrary memory location. This memory corruption can be exploited to cause a
    denial of service (application crash) or to achieve arbitrary code execution
    with the permissions of the user.

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 29 Sep 2025 15:19:31 +0200

tiff (4.2.0-1+deb11u6) bullseye-security; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * CVE-2023-2908: NULL pointer dereference in tif_dir.c
  * CVE-2023-3316: NULL pointer dereference in TIFFClose
  * CVE-2023-3618: Buffer overflow in tiffcrop
  * CVE-2023-25433: Buffer overflow in tiffcrop
  * CVE-2023-26965: Use after free in tiffcrop
  * CVE-2023-26966: Buffer overflow in uv_encode()
  * CVE-2023-52356: segfault in TIFFReadRGBAStrip/TIFFReadRGBATile
  * CVE-2024-7006: NULL pointer dereference in
    TIFFReadDirectory/TIFFReadCustomDirectory
  * debian/libtiff5.symbols: Add a symbol added in 4.2.0-1+deb11u2

 -- Adrian Bunk <bunk@debian.org>  Sun, 19 Jan 2025 13:37:43 +0200

tiff (4.2.0-1+deb11u5) bullseye-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix a memory leak in tiffcrop (CVE-2023-3576)
  * Fix buffer overflows in tiffcp and raw2tiff
    (CVE-2023-40745, CVE-2023-41175)

 -- Aron Xu <aron@debian.org>  Thu, 23 Nov 2023 15:39:53 +0800

tiff (4.2.0-1+deb11u4) bullseye-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Security fix for multiple flaws in tiffcrop, a specially crafted tiff file
    can lead to an out-of-bounds write or read resulting in a denial of
    service.

 -- Aron Xu <aron@debian.org>  Thu, 23 Feb 2023 17:15:05 +0800

tiff (4.2.0-1+deb11u3) bullseye-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Backport security fix for CVE-2022-48281, heap-based buffer overflow in
    processCropSelections().

 -- Aron Xu <aron@debian.org>  Sun, 29 Jan 2023 14:56:06 +0800

tiff (4.2.0-1+deb11u2) bullseye-security; urgency=high

  [ Laszlo Boszormenyi (GCS) ]
  * Backport security fix for CVE-2022-1354, heap buffer overflow in
    TIFFReadRawDataStriped() .
  * Backport security fix for CVE-2022-1355, tiffcp stack buffer overflow in
    "mode" string.
  * Backport security fix for CVE-2022-1622 and CVE-2022-1623, out of bounds
    read in LZWDecode() .
  * Backport security fix for CVE-2022-34526, stack overflow in 
    _TIFFVGetField() .

  [ Aron Xu ]
  * Non-maintainer upload by the Security Team.
  * Backport security fix for CVE-2022-2056, CVE-2022-2057 and CVE-2022-2058,
    divide by zero in computeInputPixelOffsets().
  * Backport security fix for CVE-2022-2867, CVE-2022-2868 and CVE-2022-2869,
    out of bounds read/write caused by uint32_t underflow.
  * Backport security fix for CVE-2022-3570 and CVE=2022-3598, buffer overflow
    in tiffcrop subroutines.
  * Backport security fix for CVE-2022-2519, CVE-2022-2520, CVE-2022-2521,
    CVE-2022-2953, CVE-2022-3597, CVE-2022-3636 and CVE-2022-3627, disable
    the combination of incompatible options to avoid out-of-bounds writes.
  * Backport security fix for CVE-2022-3599, out-of-bounds read in
    writeSingleSection().

 -- Aron Xu <aron@debian.org>  Tue, 17 Jan 2023 16:17:33 +0800

tiff (4.2.0-1+deb11u1) bullseye-security; urgency=high

  [ Thorsten Alteholz <debian@alteholz.de> ]
  * CVE-2022-22844
    out-of-bounds read in _TIFFmemcpy in certain situations involving a
    custom tag and 0x0200 as the second word of the DE field.
  * CVE-2022-0562
    Null source pointer passed as an argument to memcpy() function within
    TIFFReadDirectory(). This could result in a Denial of Service via
    crafted TIFF files.
  * CVE-2022-0561
    Null source pointer passed as an argument to memcpy() function within
    TIFFFetchStripThing(). This could result in a Denial of Service via
    crafted TIFF files.

  [ Laszlo Boszormenyi (GCS) <gcs@debian.org> ]
  * Backport security fix for CVE-2022-0865, crash when reading a file with
    multiple IFD in memory-mapped mode and when bit reversal is needed.
  * Backport security fix for CVE-2022-0908, null source pointer passed as an
    argument to memcpy() function within TIFFFetchNormalTag().
  * Backport security fix for CVE-2022-0907, unchecked return value to null
    pointer dereference in tiffcrop.
  * Backport security fix for CVE-2022-0909, divide by zero error in
    tiffcrop.
  * Backport security fix for CVE-2022-0891, heap buffer overflow in
    ExtractImageSection function in tiffcrop.
  * Backport security fix for CVE-2022-0924, heap buffer overflow in tiffcp.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 13 Mar 2022 15:57:56 +0100

tiff (4.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 21 Dec 2020 15:06:46 +0100
