=== debian/control ===
Source: tiff
Section: libs
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper-compat (= 13),
               freeglut3-dev,
               libglu1-mesa-dev,
               libjbig-dev,
               libjpeg-dev,
               liblzma-dev,
               libzstd-dev,
               libwebp-dev,
               libxi-dev,
               libxmu-dev,
               zlib1g-dev,
               libdeflate-dev
Standards-Version: 4.5.1
Homepage: https://libtiff.gitlab.io/libtiff/
Rules-Requires-Root: no

Package: libtiff5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Tag Image File Format (TIFF) library
 libtiff is a library providing support for the Tag Image File Format
 (TIFF), a widely used format for storing image data.  This package
 includes the shared library.

Package: libtiffxx5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Tag Image File Format (TIFF) library -- C++ interface
 libtiff is a library providing support for the Tag Image File Format
 (TIFF), a widely used format for storing image data.  This package
 includes the shared library for the experimental C++ interfaces.

Package: libtiff-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libc6-dev | libc-dev,
         libjbig-dev,
         libjpeg-dev,
         liblzma-dev,
         libtiff5 (= ${binary:Version}),
         libtiffxx5 (= ${binary:Version}),
         zlib1g-dev,
         libdeflate-dev,
         ${misc:Depends}
Replaces: libtiff4-dev (<< 4.0.3-6~),
          libtiff5-alt-dev (<< 4.0.3-6~),
          libtiff5-dev (<< 4.0.10-1~)
Breaks: libtiff4-dev (<< 4.0.3-6~),
        libtiff5-alt-dev (<< 4.0.3-6~),
        libtiff5-dev (<< 4.0.10-1~)
Description: Tag Image File Format library (TIFF), development files
 libtiff is a library providing support for the Tag Image File Format
 (TIFF), a widely used format for storing image data.  This package
 includes the development files, static library, and header files.

Package: libtiff5-dev
Section: oldlibs
Depends: libtiff-dev (>= 4.0.10-1),
         ${misc:Depends}
Recommends: pkg-config
Architecture: any
Description: Tag Image File Format library (TIFF), development files (transitional package)
 libtiff is a library providing support for the Tag Image File Format
 (TIFF), a widely used format for storing image data.  This package
 includes the development files, static library, and header files.
 .
 This is a transitional package. It can safely be removed.

Package: libtiff-tools
Section: graphics
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: libtiff-opengl
Description: TIFF manipulation and conversion tools
 libtiff is a library providing support for the Tag Image File Format
 (TIFF), a widely used format for storing image data.  This package
 includes tools for converting TIFF images to and from other formats
 and tools for doing simple manipulations of TIFF images.  See also
 libtiff-opengl.

Package: libtiff-opengl
Section: graphics
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: TIFF manipulation and conversion tools
 libtiff is a library providing support for the Tag Image File Format
 (TIFF), a widely used format for storing image data.  This package
 contains libtiff tools that depend upon opengl.  It complements the
 libtiff-tools package, which contains the libtiff tools that don't
 depend upon opengl.

Package: libtiff-doc
Section: doc
Depends: ${misc:Depends}
Architecture: all
Multi-Arch: foreign
Description: TIFF manipulation and conversion documentation
 libtiff is a library providing support for the Tag Image File Format
 (TIFF), a widely used format for storing image data.  This package
 contains documentation.
