=== html/CMakeLists.txt ===
--- 
+++ 
@@ -83,5 +83,3 @@
 
 add_subdirectory(images)
 add_subdirectory(man)
-
-extra_dist(${docfiles})
