=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: tiff
 Section: libs
 Priority: optional
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper-compat (= 13),
                freeglut3-dev,
                libglu1-mesa-dev,
@@ -11,7 +12,6 @@
                libzstd-dev,
                libwebp-dev,
                libxi-dev,
-               libxmu-dev,
                zlib1g-dev,
                libdeflate-dev
 Standards-Version: 4.5.1
@@ -71,6 +71,7 @@
          ${misc:Depends}
 Recommends: pkg-config
 Architecture: any
+Multi-Arch: same
 Description: Tag Image File Format library (TIFF), development files (transitional package)
  libtiff is a library providing support for the Tag Image File Format
  (TIFF), a widely used format for storing image data.  This package
