=== debian/control ===
--- 
+++ 
@@ -13,7 +13,8 @@
                libwebp-dev,
                libxi-dev,
                zlib1g-dev,
-               libdeflate-dev
+               libdeflate-dev,
+               liblerc-dev [!s390x !hppa !powerpc !ppc64 !sparc64 !i386]
 Standards-Version: 4.5.1
 Homepage: https://libtiff.gitlab.io/libtiff/
 Rules-Requires-Root: no
@@ -53,6 +54,7 @@
          libtiffxx5 (= ${binary:Version}),
          zlib1g-dev,
          libdeflate-dev,
+         liblerc-dev [!s390x !hppa !powerpc !ppc64 !sparc64 !i386],
          ${misc:Depends}
 Replaces: libtiff4-dev (<< 4.0.3-6~),
           libtiff5-alt-dev (<< 4.0.3-6~),
