=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,8 @@
 DEB_COMPRESS_EXCLUDE = html
 
 override_dh_auto_configure:
+	cp $(CURDIR)/debian/custom_dir_EXIF_GPS.tiff \
+		$(CURDIR)/test/images/
 	dh_auto_configure -- \
 	  --with-docdir="\$${prefix}/share/doc/libtiff-doc" \
 	  --libdir="\$${prefix}/lib/$(DEB_HOST_MULTIARCH)" \
